import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.*;

public class RightNavBar {
  WebDriver driver;

  @FindBy(how = How.ID, using = "sign-in-modal-link")
  WebElement signInLink;

  @FindBy(how = How.CLASS_NAME, using = "sidebar__user-welcome__message")
  WebElement welcomeMessage;

  @FindBy(how = How.LINK_TEXT, using = "Account Settings")
  WebElement accountSettingsLink;

  public RightNavBar(WebDriver driver) {
    this.driver = driver;
    PageFactory.initElements(driver, this);
  }

  public void openLogin() {
    signInLink.click();
  }

  public void openAccountSettings() {
    accountSettingsLink.click();
  }

}
